* {
    font-family: 'Jost', sans-serif;
}

:root {
    --main-color: #1e1e2c;
    --secondary-color: #272a3c;
    --accent-color: #fe744f;
}

.bg-main {
    background-color: var(--main-color);
}

.bg-secondary {
    background-color: var(--secondary-color) !important;
}

.bg-accent {
    background-color: var(--accent-color) !important;
}

.text-accent {
    color: var(--accent-color) !important;
}

.text-secondary {
    color: var(--secondary-color) !important;
}

body {
    background-color: var(--main-color);
}

.masthead {
    height: 40vh;
    min-height: 50px;
    background-color: var(--secondary-color);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.margin-top-70 {
    margin-top: -70px !important;
}

/* card */

.card-custom {
    box-shadow: 2px 2px 6px #000000 !important;
    transition: 0.2s;
    background-color: #fff;
    cursor: pointer;
}

.card-custom:hover {
    box-shadow: 2px 2px 6px #6b6969 !important;
    transform: translateY(-2px) !important;
    -webkit-transform: translateY(-2px) !important;
}

.card-custom:active {
    box-shadow: inset 1px 1px 6px #535353 !important;
}

/* scrol-bar */

.scroll-regioni {
    height: 400px;
    overflow-y: scroll;
    outline-style: hidden;
}

/* width */

::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

/* Track */

::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */

::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */

::-webkit-scrollbar-thumb:hover {
    background: #555;
}
/* modali */
.modal-custom {
    position: fixed;
    z-index: 0;
    left: 0px;
    top: 0px;
    z-index: 1;
    opacity: 1;
    display: none;
    width: 100%;
    height: 100%;
    padding-top: 10%;
    background-color: rgba(0, 0, 0, 0.5);
    transition: 0.2s;
}

.modal-custom-content {
    background-color: #fff;
    margin: auto;
    width: 70%;
    padding: 30px;
}

.modal-custom.active {
    z-index: 10;
    opacity: 1;
    display: block;
}
.modal-custom-center{
    display: flex;
    align-items: center;
}
.modal-scroll-regioni {
    height: 600px;
    overflow-y: scroll;
    outline-style: hidden;
}

/* grafico */

.chart-area {
    position: relative;
    height: 10rem;
    width: 100%;
}

@media (min-width: 768px) {
    .chart-area {
        height: 20rem;
    }
}

.chart-bar {
    position: relative;
    height: 10rem;
    width: 100%;
}

@media (min-width: 768px) {
    .chart-bar {
        height: 20rem;
    }
}

.chart-pie {
    position: relative;
    height: 15rem;
    width: 100%;
}

@media (min-width: 768px) {
    .chart-pie {
        height: calc(20rem - 43px) !important;
    }
}

.close {
    float: right;
    cursor: pointer;
    font-size: 35px;
    padding-top: 0px;
    margin-top: -18px;
}

/* grafico */

.pin-new {
    border-right: 2px solid rgba(180, 180, 180, 0.849);
    position: relative;
    width: 10px;
    margin-right: 10px;
}

.pin-new:after{
    position: absolute;
    content: "";
    top: 0px;
    right: -3px;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: rgb(255, 255, 255);
}

.pin-death {
    border-right: 2px solid rgba(225, 0, 0, 0.2);
    position: relative;
    width: 5px;
    margin-right: 1px;
}

.pin-death::after {
    position: absolute;
    content: "";
    top: 0px;
    right: -3px;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: red;
}

.pin-recovered {
    border-right: 2px solid rgba(0, 225, 0, 0.2);
    position: relative;
    width: 5px;
    margin-right: 1px;
}

.pin-recovered::after {
    position: absolute;
    content: "";
    top: 0px;
    right: -3px;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: green;
}

.plot {
    height: 200px;
    width: 100%;
    overflow-y: hidden;
    overflow-x: scroll;
    padding-bottom: 3px;
}

/* social */

.icon-button span {
    border-radius: 0;
    display: block;
    height: 0;
    left: 50%;
    margin: 0;
    position: absolute;
    top: 50%;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    width: 0;
}

.icon-button:hover span {
    width: 3.6rem;
    height: 3.6rem;
    border-radius: 3.6rem;
    margin: -1.8rem;
}

.twitter span {
    background-color: #4099ff;
}

.facebook span {
    background-color: #3B5998;
}

.google-plus span {
    background-color: #db5a3c;
}

.linkedin span {
    z-index: 0;
    background-color: #0e76a8;
}

.github span {
    background-color: #24292e;
}

.icon-button {
    background-color: white;
    border-radius: 3.6rem;
    cursor: pointer;
    display: inline-block;
    font-size: 2.0rem;
    height: 3.6rem;
    line-height: 3.6rem;
    margin: 0 5px;
    position: relative;
    text-align: center;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    width: 3.6rem;
}

/* Icons */

.icon-button i {
    background: none;
    color: white;
    height: 3.6rem;
    left: 0;
    line-height: 3.6rem;
    position: absolute;
    top: 0;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    width: 3.6rem;
    
}

.icon-button .icon-twitter {
    color: #4099ff;
}

.icon-button .icon-facebook {
    color: #3B5998;
}

.icon-button .icon-google-plus {
    color: #db5a3c;
}

.icon-button .icon-linkedin {
    color: #0e76a8;
}

.icon-button .icon-github {
    color: #24292e;
}

.icon-linkedin:hover {
    z-index: 1;
    color: #fff;
}

.icon-github:hover {
    z-index: 1;
    color: #fff;
}

.icon-button:hover .icon-twitter, .icon-button:hover .icon-facebook, .icon-button:hover .icon-google-plus .icon-button:hover .icon-linkedin {
    color: #fff;
}

/* // Small devices (landscape phones, less than 768px) */

@media (max-width: 767.98px) {
    .plot {
        height: 100px;
        width: 100%;
        overflow-y: hidden;
        overflow-x: scroll;
        padding-bottom: 3px;
    }
    .modal-custom {
        position: fixed;
        z-index: 0;
        left: 0px;
        top: 0px;
        z-index: 1;
        opacity: 1;
        display: none;
        width: 100%;
        height: 100%;
        padding-top: 20%;
        padding-bottom: 10%;
        background-color: rgba(0, 0, 0, 0.5);
        transition: 0.2s;
    }
    .modal-custom-content {
        background-color: #fff;
        width: 100%;
        padding: 10px;
    }
    .margin-top-70 {
        margin-top: -20px !important;
    }
}